//http main page
void MainPage(void) {
  // Authentication is required ?
  if (WWWAUTHENTI == true) {
    // request for www user/password from client
    if (!server.authenticate(WWWUSERNAME, WWWPASSWORD)) {
      return server.requestAuthentication();
    }
  }
  // website layout
  String buff  = "<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
  buff += "<html><head><meta content=\"text/html; charset=utf-8\"><meta http-equiv=\"refresh\" content=\"" + String(PageRefreshPeriod) + "\">\n";
  buff += "<title>ESP8266 Humidity</title></head><body style=\"font-family:Arial,sans-serif\">\n";
  buff += "<table frame=\"box\" cellpadding=\"5\" style=\"text-align:left; Font-weight:bold; font-size:large; padding: 0; border-spacing: 0;\">\n";
  buff += "<tr style=\"background-color:#f0f0f0\"><td>NAME</td><td colspan=\"2\">" + String(SensorName) + "</td><td>" + String(Version) + "</td></tr>\n";
  buff += "<tr style=\"background-color:#ffffff\"><td>MAC</td><td colspan=\"2\">" + StrMacAddr + "</td><td></td></tr>\n";
  buff += "<tr style=\"background-color:#f0f0f0\"><td>VALUE</td><td colspan=\"2\">TEMPERATURE</td><td>" + String(temperature, FloatRounding) + " &deg;C</td></tr>\n";
  buff += "<tr style=\"background-color:#ffffff\"><td>VALUE</td><td colspan=\"2\">HUMIDITY</td><td>" + String(humidity, FloatRounding) + " %</td></tr>\n";
  buff += "<tr style=\"background-color:#f0f0f0\"><td>RESET</td><td colspan=\"2\">" + String(ResetReason) + "</td ><td></td></tr>\n";
  buff += "<tr style=\"background-color:#ffffff\"><td>ON</td><td colspan=\"2\">" + TimeString + "</td ><td></td></tr>\n";
  buff += "<tr style=\"background-color:#f0f0f0\"><td>WiFi</td><td colspan=\"2\">" + String(rssi) + " dBm</td><td>" + String(PercentRssi, 0) + " %</td ></tr>\n";
  buff += "<tr style=\"background-color:#ffffff\"><td>RAM</td><td colspan=\"2\">" + String(FreeHeap) + "</td><td>BYTE</td></tr>\n";
  buff += "<tr style=\"background-color:#f0f0f0\"><td>VCC</td><td colspan=\"2\">CHIP VOLTAGE</td><td>" + String(Vcc, 2) + " V</td></tr>\n";
  buff += "<tr style=\"background-color:#ffffff\"><td></td><td colspan=\"2\">" + message + "</td><td>" + SymbolRefresh + "</td></tr>\n";
  buff += "<tr style=\"background-color:#f0f0f0\"><td></td><td colspan=\"2\">" + response + "</td><td></td></tr>\n";
  buff += "</table>\n";
  buff += "</body></html>\n";
  server.send(200, "text/html", buff);
}
// page not found service
void FileNotFound(void) {
  server.send(404, "text/plain", "Page not found !");
}
